# update

@Synchronized
fun update(config: UpdateConfig): String(source)

Updates parameters in the specified Bitlink.

See the Bit.ly API for more information.

#### Return

Constants.TRUE if the update was successful, Constants.FALSE otherwise.

#### Parameters

config

The parameters' configuration.

@Synchronized
fun update(bitlink: String, references: Map<String, String> = emptyMap(), archived: Boolean = false, tags: Array<String> = emptyArray(), created_at: String = Constants.EMPTY, title: String = Constants.EMPTY, deeplinks: Array<Map<String, String>> = emptyArray(), created_by: String = Constants.EMPTY, long_url: String = Constants.EMPTY, client_id: String = Constants.EMPTY, custom_bitlinks: Array<String> = emptyArray(), link: String = Constants.EMPTY, id: String = Constants.EMPTY, toJson: Boolean = false): String(source)

Updates parameters in the specified Bitlink.

See the Bit.ly API for more information.

#### Return

Constants.TRUE if the update was successful, Constants.FALSE otherwise.

#### Parameters

bitlink

A Bitlink made of the domain and hash.

toJson

Returns the full JSON response if `true`.